import request from '@/utils/request'

const requiredQuesitonApi = {
    list: 'courseManagement/requiredQuestion/listPage',
    addOrUpdate: 'courseManagement/requiredQuestion/addOrUpdate',
    requiredQuestionId:'courseManagement/requiredQuestion/requiredQuestionId',
    testing:'/courseManagement/requiredQuestion/testing',
}


// 必选题列表
export function requiredList(params) {
    return request({
        url: requiredQuesitonApi.list,
        method: 'get',
        params: params
    })
}

// 必选题新增和设置
export function addOrUpdate(params) {
    return request({
        url: requiredQuesitonApi.addOrUpdate,
        method: 'post',
        params: params
    })
}

//必选题题目ID
export function requiredQuestionId(params) {
    return request({
        url: requiredQuesitonApi.requiredQuestionId,
        method: 'get',
        params: params
    })
}

//必选题题目内容
export function testing(params) {
    return request({
        url: requiredQuesitonApi.testing,
        method: 'get',
        params: params
    })
}

// export function menuGet (params) {
//   return request({
//     url: menuApi.get,
//     method: 'post',
//     data: params
//   })
// }
// export function menuUpdate (params) {
//   return request({
//     url: menuApi.update,
//     method: 'post',
//     data: params
//   })
// }


